﻿// <auto-generated />
using KnowledgeTestingSystemWebApi.Models;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace KnowledgeTestingSystemWebApi.Migrations
{
    [DbContext(typeof(TestingSystemContext))]
    partial class TestingSystemContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.12")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("KnowledgeTestingSystemWebApi.Models.Admin", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Email")
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("FullName")
                        .HasColumnType("nvarchar(100)");

                    b.Property<bool>("IsDeleated")
                        .HasColumnType("BIT");

                    b.Property<string>("Login")
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("Password")
                        .HasColumnType("nvarchar(100)");

                    b.HasKey("Id");

                    b.ToTable("DbAdmins");
                });

            modelBuilder.Entity("KnowledgeTestingSystemWebApi.Models.SuperAdmin", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Login")
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("Password")
                        .HasColumnType("nvarchar(100)");

                    b.HasKey("Id");

                    b.ToTable("DbSuperAdmins");
                });

            modelBuilder.Entity("KnowledgeTestingSystemWebApi.Models.Test", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("CreatorId")
                        .HasColumnType("int");

                    b.Property<string>("Description")
                        .HasColumnType("nvarchar(200)");

                    b.Property<bool>("IsDeleated")
                        .HasColumnType("BIT");

                    b.Property<int>("MaximumAttemptByUser")
                        .HasColumnType("int");

                    b.Property<int>("MaximumScore")
                        .HasColumnType("int");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(100)");

                    b.Property<int>("PassingScore")
                        .HasColumnType("int");

                    b.Property<string>("Password")
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("Type")
                        .HasColumnType("nvarchar(200)");

                    b.HasKey("Id");

                    b.ToTable("DbTests");
                });

            modelBuilder.Entity("KnowledgeTestingSystemWebApi.Models.TestHistory", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Score")
                        .HasColumnType("int");

                    b.Property<string>("Status")
                        .IsRequired()
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("TimeFinish")
                        .HasColumnType("nvarchar(Max)");

                    b.Property<int>("UserId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.ToTable("DbTestHistories");
                });

            modelBuilder.Entity("KnowledgeTestingSystemWebApi.Models.TestQuestion", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("FirstAnswer")
                        .HasColumnType("nvarchar(300)");

                    b.Property<string>("FourthAnswer")
                        .HasColumnType("nvarchar(300)");

                    b.Property<bool>("IsDeleated")
                        .HasColumnType("BIT");

                    b.Property<bool>("IsFirstCorrect")
                        .HasColumnType("BIT");

                    b.Property<bool>("IsFourthCorrect")
                        .HasColumnType("BIT");

                    b.Property<bool>("IsSecondCorrect")
                        .HasColumnType("BIT");

                    b.Property<bool>("IsThirdCorrect")
                        .HasColumnType("BIT");

                    b.Property<int>("MaximumScoreExist")
                        .HasColumnType("int");

                    b.Property<string>("Question")
                        .HasColumnType("nvarchar(300)");

                    b.Property<string>("SecondAnswer")
                        .HasColumnType("nvarchar(300)");

                    b.Property<int>("TestId")
                        .HasColumnType("int");

                    b.Property<string>("ThirdAnswer")
                        .HasColumnType("nvarchar(300)");

                    b.Property<string>("Type")
                        .HasColumnType("nvarchar(20)");

                    b.HasKey("Id");

                    b.ToTable("DbQuestions");
                });

            modelBuilder.Entity("KnowledgeTestingSystemWebApi.Models.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Age")
                        .HasColumnType("int");

                    b.Property<string>("Email")
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("FullName")
                        .HasColumnType("nvarchar(100)");

                    b.Property<bool>("IsDeleated")
                        .HasColumnType("BIT");

                    b.Property<string>("Login")
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("Password")
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("Phone")
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("Sex")
                        .HasColumnType("nvarchar(100)");

                    b.HasKey("Id");

                    b.ToTable("DbUsers");
                });
#pragma warning restore 612, 618
        }
    }
}
